Wireless connection with ath9k is very unstable

Bug #333730 reported by Romuald on 2009-02-24
62
This bug affects 8 people
Affects Status Importance Assigned to Milestone
NetworkManager
Expired
High
linux (Ubuntu)
Undecided
Unassigned
Nominated for Jaunty by BarrettWilliams
Nominated for Karmic by BarrettWilliams

Bug Description

Now the bug about the ath9k poor performances is fixed (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/297965), let's talk about stability.

The ath9k, used in Intrepid 64 bits, is pretty unstable, I face several wifi disconnections per session, really annoying.

Configuration :
- Macbook Pro 2G (Core 2 Duo, Atheros AR5008)
- Intrepid 64 bits

WORKAROUND: I keep a terminal running a ping to my wifi hotspot and so, no more problem.

Romuald (romu70) wrote :

Link to the bug created in the kernel:
http://bugzilla.kernel.org/show_bug.cgi?id=12770

Ian Weisser (ian-weisser) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better.

Please include the information requested at https://wiki.ubuntu.com/DebuggingNetworkManager. If you have trouble, do not hesitate to ask for more assistance. Thanks in advance.

Romuald (romu70) wrote :

Ok Ian, I'll give you more information ASAP.

Romuald (romu70) wrote :

Kernel with the problem: 2.6.27-11-generic

Ian, I read the NetworkManager debugging page, but I don't have any test case to reproduce this problem, suddenly my connection fails and this can be while uploading some files on a computer on my local network as well as surfing the web.

I can't say more than this.

Romuald (romu70) wrote :

Today, I re-installed "from scratch" Intrepid on my computer because of issues with the graphic environment. I made all updates to Intrepid and I faced so many problem with the wireless connection that all I have to say is GARBAGE.

Here is a test case :
1. Do some work needing the network
2. Once the connection has crashed, run:
   sudo killall NetworkManager
   sudo modprobe -r ath9k
   sudo modprobe ath9k
   sudo NetworkManager
3. Then NetworkManager seems to be reconnected but a ping would show that this is not the case, at this point if we retry the same sequence as above, the "killall NetworkManager" doesn't exit and all network commands are blocked.
4. Try to restart the computer, and the graphic banner disappears for some text lines showing:
"wlan0 (WE): Wireless Event Too Big (320)

And that's all.

So to me, ath9k is a piece of s...., I'm sorry but I spend so many hours just because of this problem that I'm a bit angry.

Eric Pasch (epasch) wrote :

I have been running into this same issue with ath9k and kernal 2.6.27-11. Just a quick note, however. To fix the stability issue, I replaced Network Manager with Wicd and haven't had my wireless drop it's connection yet. All this really tells me is that the stability issue with Network Manager, and not ath9k.

Per Network manager's issues, I am having the exact same problem. Network manager says it's connected, however if you try to bring up a browser or ping another computer, you realize you have no real connection. plus if you click the network manager icon, the bubble next to the network is not actually filled in. You click on the network again and it goes though the whole connection process again. Until this is fixed, I recommend people just use Wicd.

ath9k has been great for me so far now that I am using Wicd. It's almost as fast as using NDISwrapper with the Windows drivers heh

Romuald (romu70) wrote :

I think you're not so wrong Eric, I also saw there is a stability issue in the NetworkManager. But I tried to self compiled the compat-wireless package from the 26th of february, and I've the feeling the stability is a bit better. So clearly, things are going in the right direction.

But I agree, there is also a problem in NetworkManager, I wonder if the problem comes from I'm using 64 bits system, Eric which version are you using?

Eric Pasch (epasch) wrote :

I also self-compiled the compat-wireless. I think I'm using the February 25th build. My system is the Asus EEEPC 901 which is running a 32-bit Intel Atom.

Changed in network-manager:
status: Unknown → Confirmed
sdnnvs (sdnnvs) wrote :

The driver of the Atheros wireless network card (ath9k) is demonstrating instability. Navigation freezes constantly, being necessary to reconnect to that navigation is possible.

Changed in network-manager:
status: Confirmed → Invalid
Romuald (romu70) wrote :

Why has it been set to "invalid"? We are some here to be be affected by this bug.

I've found another way to display the problem, here is the test case:
- use your connection until it drops
- open a terminal, and ping your wifi hotspot and keep it running

Results will be :
- you'll get for about 20s to 30s the message "Host unreachable"
- then the connection works again and you'll get positive answers to the ping

Erik Meitner (e.meitner) wrote :

Has anybody checked their logs for any sort of indication of a kernel oops or other major errors the first performance/reliability drops after a reboot? I'd like to see if others are having the same problem I am. Try:
grep 'Call Trace' /var/log/kern
and see if any lines match. If so then open the file and post the results.

Erik Meitner (e.meitner) wrote :

I installed linux-backports-modules-jaunty(2.6.28.11.14), The kernel errors(attached) were gone as was the symptomatic performance problem. There are issues with the backports ath9k module(periodic loss of connection) which are just as trying as this....

The kernel errors, "page allocation failure", would happen very frequently until reboot. I will remove linux-backports-modules-jaunty and do more testing so I can provide more details.

sdnnvs (sdnnvs) wrote :

The same happens with the beta version of Jaunty (9.04). Confirmed in tests made by me.

Romuald (romu70) wrote :

I've found a little workaround which seems to prevent the connection drops, this workaround is pretty simple, I keep a terminal running a ping to my wifi hotspot and so, no more problem.

Could someone else confirm this workaround?

Thanks. (Still with Intrepid).

Thanks. But I think this suggestion is a palliative and does not solve the
problem of bug in the driver ath9k. I do not understand because it works
well in ArchLinux and not the Ibex / Jaunty.

2009/4/20 Romuald <email address hidden>

> I've found a little workaround which seems to prevent the connection
> drops, this workaround is pretty simple, I keep a terminal running a
> ping to my wifi hotspot and so, no more problem.
>
> Could someone else confirm this workaround?
>
> Thanks. (Still with Intrepid).
>
> --
> Wireless connection with ath9k is very unstable
> https://bugs.launchpad.net/bugs/333730
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Alexander Sack (asac) wrote :

wicd is kind of dumb (which appears to be smart in case the drivers are dumb ;)).
Anyway, this doesn't make this a network-manager bug. Please provide the info requested in upstream linux bug report (test with 2.6.29). you can grab vanilla 2.6.29.1 kernel builds from here to test: http://kernel.ubuntu.com/~kernel-ppa/mainline/

affects: network-manager (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Incomplete → New

Setting back to Incomplete until the 2.6.29 kernel is tested as requested by upstream (see the upstream bug report). See https://wiki.ubuntu.com/KernelMainlineBuilds for more information on testing the upstream kernel builds. Thanks.

Changed in linux (Ubuntu):
status: New → Incomplete
Romuald (romu70) wrote :

Leann, personally I don't test upstream kernel, I just try to escalate bugs when I find some. I just want to use my computer, nothing more. But I can make some simple tests if it can help in any way.

I do confirm, this bug is also present in Jaunty, so please, do tell me what I have to do to make this bug report not "incomplete" to have a chance to see it "fixed" a day.

Thanks.

Luis R. Rodriguez (mcgrof) wrote :

Bugs tend to be fixed in newer kernels, if you cannot test them from upstream sources then you have no other option but to wait until your distribution catches up with either a stable kernel release update or the next distribution release.

A stable release upgrade would be from say, 2.6.27.1 to 2.6.27.2 and so on.

A distribution upgrade would be from say Intrepid to Jaunty, and now karmic.

To help with users not having to upgrade their kernels to try the latest bleeding edge wireless drivers we have put together a package called compat-wireless. Please try this:

http://wireless.kernel.org/en/users/Download

BarrettWilliams (barwi) wrote :

This error is not fixed in newer kernels such as 2.6.31-3 generic on Karmic Koala Alpha 3 x64.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Luis R. Rodriguez (mcgrof) wrote :

On Tue, Jul 28, 2009 at 7:07 PM, BarrettWilliams<email address hidden> wrote:
> This error is not fixed in newer kernels such as 2.6.31-3 generic on
> Karmic Koala Alpha 3 x64.

Your bug report is too vague, you may want to use the ath9k-devel
mailing list [1] to describe your issues and also be sure to read the
reporting bug guidelines for Linux wireless [2].

[1] https://lists.ath9k.org/mailman/listinfo/ath9k-devel
[2] http://wireless.kernel.org/en/users/Documentation/Reporting_bugs

  Luis

afaict this issue still persists with the latest kernel on Karmic (2.6.31-3) as on Jaunty (2.6.28-15)
with my AR928X [168c:002a] (rev 01) - (Vaio VGN-P11Z)

Luis R. Rodriguez (mcgrof) wrote :

On Thu, Aug 27, 2009 at 9:45 AM, Christian
Stöveken<email address hidden> wrote:
> afaict this issue still persists with the latest kernel on Karmic (2.6.31-3) as on Jaunty (2.6.28-15)
> with my AR928X [168c:002a] (rev 01) - (Vaio VGN-P11Z)

What issue? I reviewed the bug report and determined it was horribly
vague. Please read:

http://wireless.kernel.org/en/users/Documentation/Reporting_bugs

  Luis

tags: added: ar928x ath9k

The wireless connection becomes unusable after some time (without installing linux-backports-modules-jaunty-generic).
Also connecting or reconnecting to the network does take too long. (way longer than other cards I use).

I think (in contrast to Romuald) that constant traffic like pinging some box does not change the situation.

If you tell me what logs (...) you need to help pinpoint the problem I'll be glad to provide those to you.

Luis R. Rodriguez (mcgrof) wrote :

On Thu, Aug 27, 2009 at 10:57 AM, Christian
Stöveken<email address hidden> wrote:
> The wireless connection becomes unusable after some time (without installing linux-backports-modules-jaunty-generic).
> Also connecting or reconnecting to the network does take too long. (way longer than other cards I use).
>
> I think (in contrast to Romuald) that constant traffic like pinging some
> box does not change the situation.
>
> If you tell me what logs (...) you need to help pinpoint the problem
> I'll be glad to provide those to you.

Please read this:

http://wireless.kernel.org/en/users/Documentation/Reporting_bugs#When_will_your_kernel_issue_be_fixed_.3F

Notice I now put a section there. I wrote this just for you actually.
Please tell me if this gives you enough explanation why you may see
the issue fixed on linux-backports-modules-jaunty-generic but not on
your distribution default kernel. If it is not clear please tell me
what is not clear.

  Luis

Ok so if there's a backport module fixing the issue then it should be fixed with some later kernel?
But as I wrote the issue persists with Karmic - so does that mean there's a regression?

I'm not that much into the inner workings of how Ubuntu gets developed / how bugs are fixed,
so should I (many others) just refrain from reporting bugs?

Luis R. Rodriguez (mcgrof) wrote :
Download full text (5.4 KiB)

On Thu, Aug 27, 2009 at 11:49 AM, Christian
Stöveken<email address hidden> wrote:
> Ok so if there's a backport module fixing the issue then it should be fixed with some later kernel?
> But as I wrote the issue persists with Karmic - so does that mean there's a regression?
>
> I'm not that much into the inner workings of how Ubuntu gets developed / how bugs are fixed,
> so should I (many others) just refrain from reporting bugs?

No -- you should always report bugs, but to report bugs more
efficiently you should have better understanding how how upstream
works. That's what I'm trying to coach you here on.

If your issues is not a oops, of security fix, or a regression (very
unlikely) chances are your issue is considered minor and although very
important for us developer to fix -- you will never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, never, never,
never, never, never, never, never, never, never, never, neve...

Read more...

So now for this bug - how do we go about it?

Luis R. Rodriguez (mcgrof) wrote :

On Thu, Aug 27, 2009 at 1:21 PM, Christian
Stöveken<email address hidden> wrote:
> So now for this bug - how do we go about it?

This issue will never be fixed on the stable kernel of your
distribution, your only option is to upgrade to bleeding edge
compat-wireless or stable compat-wireless. Ubuntu has compat-wireless
in the linux-backports package as well but that only gets updated
whever Tim gets a chance to push it out, as I understand it. In the
future it may make sense to carry stable compat-wireless on
distributions, so for example when 2.6.32-rc1 goes out you can test
that immediately.

For now stick to testing in this order:

1) Ubuntu linux-backports module package
2) Compat-wireless stable
3) Compat-wireless bleeding edge

  Luis

Romuald (romu70) wrote :

Hi all,
Personally I gave up Ubuntu on my Mac and so I'm not able to test it anymore. OSX works on my Mac, and I'm tired to fight with Ubuntu to get some basic features working.

But Luis, some months ago I read the links provided to explain how to raised bugs, and it's too much complicated for simple Ubuntu users. If Launchpad is just for developers, please write it clearly on the Launchpad homepage. You can't ask for simple users to compile drivers change kernels or use debug features. They just want to use they computers.

Even if I have a background in software development, and assuming I still use Ubuntu (which is wrong), I won't do all instructions described in your document just because I don't want to spend time on that, sorry. I have a job, a family, I love Ubuntu but no more on my computer because each new Ubuntu release raises its not working features and regressions (I do speak about Ubuntu on Mac hardware, nothing else).

I strongly recommend you to dramatically simplify your bug report procedure if you Canonical still want to see "normal people" using Ubuntu and reporting problem, or Ubuntu will remain as other Linux distros : something for the geeks.

My 2 cents.

Hi,
I had a similar behavior with my ASUS X5DIJ-SX018L notebook with Ubuntu
9.04. However things improved a lot as I modified the regional frequency
regulation configuration. The driver seems to follow the US frequency
regulations by default; this can cause trouble when the AP uses a different
scheme.

On Fri, Aug 28, 2009 at 9:35 AM, Romuald <email address hidden> wrote:

> Hi all,
> Personally I gave up Ubuntu on my Mac and so I'm not able to test it
> anymore. OSX works on my Mac, and I'm tired to fight with Ubuntu to get some
> basic features working.
>
> But Luis, some months ago I read the links provided to explain how to
> raised bugs, and it's too much complicated for simple Ubuntu users. If
> Launchpad is just for developers, please write it clearly on the
> Launchpad homepage. You can't ask for simple users to compile drivers
> change kernels or use debug features. They just want to use they
> computers.
>
> Even if I have a background in software development, and assuming I
> still use Ubuntu (which is wrong), I won't do all instructions described
> in your document just because I don't want to spend time on that, sorry.
> I have a job, a family, I love Ubuntu but no more on my computer because
> each new Ubuntu release raises its not working features and regressions
> (I do speak about Ubuntu on Mac hardware, nothing else).
>
> I strongly recommend you to dramatically simplify your bug report
> procedure if you Canonical still want to see "normal people" using
> Ubuntu and reporting problem, or Ubuntu will remain as other Linux
> distros : something for the geeks.
>
> My 2 cents.
>
> --
> Wireless connection with ath9k is very unstable
> https://bugs.launchpad.net/bugs/333730
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in NetworkManager: Invalid
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> Now the bug about the ath9k poor performances is fixed (
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/297965), let's talk
> about stability.
>
> The ath9k, used in Intrepid 64 bits, is pretty unstable, I face several
> wifi disconnections per session, really annoying.
>
> Configuration :
> - Macbook Pro 2G (Core 2 Duo, Atheros AR5008)
> - Intrepid 64 bits
>
> I don't really what I have to provide to help to debug this issue, so don't
> hesitate to ask specific elements if needed.
>

--
Bernd Jungblut_____________________
email: <email address hidden>
phone: +49-1801-585-585-5494
icq: 192348186

Massimo Mund (qos) wrote :

I have an Dell Studio XPS 13 with an 1515 (11agn) WLAN half mini-card.

It helped to install linux-backport-modules but it was by far not stable and fast enought. Much better was it to install Compat-wireless stable as Luis R. Rodriguez suggested before.
WLAN performance is now fine, but my model suffered from a second bug which is periodically caused by the network-manager.

This bug and a solution can be found here:
https://bugs.launchpad.net/network-manager/+bug/373680

I hope i could help some of you guys, because it took a long time for me to recognize that 2 bugs were causing my troubles.
Wifi on an Dell Studio XPS 13 is absolute stable and fast for me now.

Bruno Beaufils (beaufils) wrote :

The bug is easy to reproduce (at least under MacBookPro3,1) :
 1. boot and log in
 2. connect to wifi (I use WPA2)
 3. suspend
 4. resume
 5. now you are no more able to reconnect to wifi. It renders Ubuntu completely useless :-(

I confirmed that installing linux-backports-wireless-modules-karmic does not fixed the bug at all.

However, installing compat-wireless bleeding edge (as for 2009-11-07) seems to fix it. It also fix bug 278190, which I marked as duplicate as this one.

One should get compat-wireless from http://wireless.kernel.org/en/users/Download:

# downloaded http://wireless.kernel.org/download/compat-wireless-2.6/compat-wireless-2.6.tar.bz2 in /tmp
cd /tmp
tar -xf compat-wireless-2.6.tar.bz2
cd compat-wireless-*
./scripts/driver-select ath9k
make
make install
make unload
modprobe ath9k

Since jaunty, I do not use network manager anymore but wicd instead as recommended in comment 35 of bug 278190, so I did not try the solution cited by qos in bug 373680.

mlaverdiere (mlaverdiere) wrote :

Here's my experience so far in relation with this bug, on a HP DV5-1124CA laptop, with an Atheros AR928X card:

1. Out of the box, the ath9k driver provided by Jaunty and Karmic give really unstable and weak connections. In my case, installing the linux-backports-wireless-modules-karmic improves things dramatically (it gives me a quite stable and strong connection), while there are still the issue described at point 2.

2. The remaining greatest issue is caused by what I understand to be the periodic scanning operations of network-manager, which causes some connections interruptions/hangs . See these reports:

https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/373680
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/414560

I have managed to circumvent this issue, by opting for one or the other following solution:

a) using wicd instead of network-manager
b) using ndiswrapper, instead of the ath9k module, with the latest windows XP driver available on this page (in my case : http://www.atheros.cz/

Trevor Curtis (tcurtis) wrote :

I followed point 1 from mlaverdiere's post (installing linux-backports-wireless-modules-karmic) and the wireless performance of my HP G61-320 has increased dramatically. Reception is much improved and there isn't any noise in the log files of the connection being consistently dropped and reconnected.

Changed in network-manager:
status: Invalid → Expired
Changed in network-manager:
importance: Unknown → High
Timokl (timokl) wrote :

I face similar problems on an Asus Notebook with AR928X wireless card. The connection to my router is extremly unstable, after about a minute the connection drops every time, and re-connecting takes an awful lot of time. I tried using WICD instead of Network manager - same problem. I have Windows installed on the same notebook, and wireless works fine there, so it's no hardware failure.

Timokl (timokl) wrote :

I run Ubuntu 11.10 64 Bit with kernel 3.0.0-16-generic and ath9k driver.

Romuald, thank you for reporting this and helping make Ubuntu better. This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Romuald (romu70) wrote :

Hi Christopher,
I don't run Ubuntu anymore on that Mac, so I'm not able to make additionnal tests. Sorry.

tags: added: intrepid kernel-wifi needs-kernel-logs needs-upstream-testing
removed: ar928x ath9k
description: updated
tags: added: jaunty
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.